<?php

class actionFotokonkursKonkurs extends cmsAction {

    public function run($id = false) {

        if (!$id) {
            cmsCore::error404();
        }

        $item = $this->model->getKonkurs($id);

        if (!$item) {
            cmsCore::error404();
        }
        if (number_format($item['status']) == 2) {

            $prisers = $this->model
                    ->filterEqual('konkurs_id', $id)
                    ->filterNotNull('position')
                    ->orderBy('position', 'asc')
                    ->getUchastniki();
        }

        $page = $this->request->get('page', 1);
        $perpage = 15;

        $total = $this->model->getUchastnikiCount();

        $uchastniki = $this->model
                ->limitPage($page, $perpage)
                ->filterEqual('konkurs_id', $id)
                ->orderBy('number', 'asc')
                ->getUchastniki();


        return $this->cms_template->render('konkurs', array(
                    'item' => $item,
                    'uchastniki' => $uchastniki,
                    'total' => $total,
                    'page' => $page,
                    'perpage' => $perpage,
                    'prisers' => isset($prisers) ? $prisers : false
        ));
    }

}
