<?php
$this->addcss('templates/default/controllers/fotokonkurs/fotokonkurs.css');
$this->addJS("templates/default/controllers/fotokonkurs/point_up.js");
$this->setPageTitle($item['title']);
$core = cmsCore::getInstance();
$this->addJS('https://ulogin.ru/js/ulogin.js', null, false);
$this->addCSS('https://ulogin.ru/css/providers.css', false);
$this->addJS('templates/default/js/ulogin.js');
$this->addCSS('templates/default/css/ulogin.css');
$this->addBreadcrumb(LANG_FOTOKONKURS_CONTROLLER, $this->href_to(''));
$this->addBreadcrumb($item['title']);

if (cmsUser::isAdmin()) {

    $this->addToolButton(array(
        'class' => 'edit',
        'title' => LANG_FOTOKONKURS_EDIT_KONKURS,
        'href' => $this->href_to('edit_konkurs', $item['id'])
    ));

    $this->addToolButton(array(
        'class' => 'delete',
        'title' => LANG_FOTOKONKURS_DELETE_KONKURS,
        'href' => $this->href_to('delete_konkurs', $item['id'])
    ));
}
if (cmsUser::isLogged()) {
    if (number_format($item['status']) == 0) {
        $this->addToolButton(array(
            'class' => 'add',
            'title' => LANG_FOTOKONKURS_UCHASTNIK_ADD,
            'href' => $this->href_to('add_uchastnik', $item['id'])
        ));
    }
}
?>

<h1><?php html($item['title']); ?></h1>
<div id="content">
    <?php
    switch ($item['status']) {
        case 0: $s_status = LANG_FOTOKONKURS_STATUS_OPEN;
            break;
        case 1: $s_status = LANG_FOTOKONKURS_STATUS_GO;
            break;
        case 2: $s_status = LANG_FOTOKONKURS_STATUS_CLOSE;
            break;
    }
    if ($item['tenderer_count'] == 0) {
        $s_tenderer = LANG_FOTOKONKURS_UCHASTNIK_NO_LIMIT;
    } else
        $s_tenderer = $item['tenderer_count'];
    ?>
    <div class="content_item">
        <div class="fotokonkurs-konkurs item title2">
            <div class="title1"> <?php echo $s_status; ?></div>
            <div class="tenderer_count">
                <div class="auto_field">   
                    <div class="title_left"> <?php echo LANG_FOTOKONKURS_KONKURS_TENDERER_COUNT ?></div>

                    <div class="value">
                        <?php echo $s_tenderer ?>
                    </div>
                </div>   
            </div>
            <div class="auto_field">   
                <div class="title_left"> <?php echo LANG_FOTOKONKURS_PERIOD_NABORA ?></div>
                <div class="value">
                    <?php
                    echo 'С ' . date('d.m.Y', strtotime($item['set_start_date'])) . ' по ' .
                    date('d.m.Y', strtotime($item['set_end_date']));
                    ?>
                </div>
            </div>
            <div class="auto_field">   
                <div class="title_left"> <?php echo LANG_FOTOKONKURS_PERIOD_PROV ?></div>
                <div class="value">
                    <?php
                    echo 'С ' . date('d.m.Y', strtotime($item['contest_start_date'])) . ' по ' .
                    date('d.m.Y', strtotime($item['tender_end_date']));
                    ?>
                </div>
            </div>
        </div>
            <?php
            if ($prisers) {
                ?>
         <div class="uchastniki"><?php echo LANG_FOTOKONKURS_FINALISTS ?></div>   

               <div class="fotokonkurs-uchastniki-list"> 
                  <?php      foreach ($prisers as $priser) {
                    ?>
              
                    <div class="participant-info">
                        <div class="vote-count" title="<?php html(LANG_FOTOKONKURS_UCHASTNIK_POINTS_HINT); ?>">
                            <span class="<?php echo 'u_id_' . $priser['id']; ?> "><?php echo $priser['points']; ?></span>
                        </div>
                        <div class="title-u"><a href="<?php echo $this->href_to('uchastnik', $priser['id']) ?>">  
                                <?php echo LANG_FOTOKONKURS_UCHASTNIK . ' № ' . $priser['number'] ?></a></div> 
                        <?php
                        if (isset($priser['foto'])) {
                            echo $core->getController('fotokonkurs')->parseImage($priser['foto']);
                            ?>
                            <script>$(function () {
                                    icms.modal.bindGallery(".img-photos");
                                });</script>
                        <?php } ?>
                        <div class="position"><?php echo $priser['position'].LANG_FOTOKONKURS_POSITION; ?></div>                
                    </div> 
           
                    <?php } ?>
                   </div>
         <?php   } ?>  
            
   <?php if (!$uchastniki) { ?>
    <p><?php echo LANG_FOTOKONKURS_UCHASTNIKI_NONE; ?></p>
    <?php return; ?>
<?php } ?> <div class="uchastniki"><?php echo LANG_FOTOKONKURS_UCHASTNIKI ?></div>      
            <div class="fotokonkurs-uchastniki-list">
               
                <?php foreach ($uchastniki as $uchastnik) { ?>

                    <div class="participant-info">
                        <div class="vote-count" title="<?php html(LANG_FOTOKONKURS_UCHASTNIK_POINTS_HINT); ?>">
                            <span class="<?php echo 'u_id_' . $uchastnik['id']; ?> "><?php echo $uchastnik['points']; ?></span>
                        </div>
                        <div class="title-u"><a href="<?php echo $this->href_to('uchastnik', $uchastnik['id']) ?>">  <?php echo LANG_FOTOKONKURS_UCHASTNIK . ' № ' . $uchastnik['number'] ?></a></div> 
                        <?php
                        if (isset($uchastnik['foto'])) {
                            echo $core->getController('fotokonkurs')->parseImage($uchastnik['foto']);
                            ?>
                            <script>$(function () {
                                    icms.modal.bindGallery(".img-photos");
                                });</script>
                        <?php } ?>
                        <div class="f-vote"></div>
                        <?php if (cmsUser::isLogged()) { ?>  
                            <input class="counter-bootom <?php echo 'id_' . $uchastnik['id']; ?>" onclick="icms.fotokonkurs.up(<?php echo $uchastnik['id'] . ',' . $uchastnik['konkurs_id']; ?>)" value="<?php echo LANG_FOTOKONKURS_POINT_GO; ?>" type="button">
                        <?php } else { ?>
                            <input class="counter-bootom ajaxlink ajax-modal"  href="/fotokonkurs/login" onclick="icms.modal.openAjax('/fotokonkurs/login','', '', '<?php echo LANG_FOTOKONKURS_LOGIN ?>')"  value="<?php echo LANG_FOTOKONKURS_POINT_GO; ?>" type="button">   
                        <?php } ?>
                    </div>
                <?php } ?>
            </div>
            <?php if ($total > $perpage) { ?>
                <?php echo html_pagebar($page, $perpage, $total); ?>	
            <?php } ?>
        </div>
</div>